## org.apache.tomcat.util.collections
Class LRUCache

    java.lang.Object
      org.apache.tomcat.util.collections.LRUCache

public class LRUCache
extends java.lang.Object

This class implements a Generic LRU Cache

Author:
  Ignacio J. Ortega

Constructor Summary
`LRUCache(int i)`

Method Summary
`void` `clear()`
`java.lang.Object` `get(java.lang.Object key)`
`void` `put(java.lang.Object key, java.lang.Object value)`
`java.lang.Object` `remove(java.lang.Object key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LRUCache

    public LRUCache(int i)

Method Detail

### get

    public java.lang.Object get(java.lang.Object key)

### put

    public void put(java.lang.Object key,
                    java.lang.Object value)

### remove

    public java.lang.Object remove(java.lang.Object key)

### clear

    public void clear()

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.